Jump to content

[TOPIC: topicViewTemplate]
[GLOBAL: userSmallPhoto]
Photo

Game center plugin causing SDK error
Started by mattmcegg Oct 31 2019 08:57 AM

2 replies to this topic
[TOPIC CONTROLS]
[/TOPIC CONTROLS]
[modOptionsDropdown]
[/modOptionsDropdown]
[reputationFilter]
[TOPIC: post.html]
#1

mattmcegg

[GLOBAL: userInfoPane.html]
mattmcegg
  • Observer

  • 9 posts
  • Corona SDK

Hey there,

I added the GameCenter plugin to my build.settings file and its causing an error after Submitting to Apple for review. (it builds fine to device and simulator, builds to IPA file fine, just when submitting to Apple I get the error).

 

ITMS-90512: Invalid sdk value - The value provided for the sdk portion of LC_VERSION_MIN_IPHONEOS in MyGame.app/MyGame is 13.2 which is greater than the maximum allowed value of 13.1.

 

If i remove the plugin delcaration from the build settings, it works perfectly, so I have isolated the issue. I'm not sure if this is a Corona issue or Apple issue. I would think that the maximum allowed value would be 13.2, which is the latest.

 

Thanks,

Matt



[TOPIC: post.html]
#2

Rob Miracle

[GLOBAL: userInfoPane.html]
Rob Miracle
  • Moderator

  • 26,300 posts
  • Enterprise

Can you share your build.settings please?

 

Rob



[TOPIC: post.html]
#3

mattmcegg

[GLOBAL: userInfoPane.html]
mattmcegg
  • Observer

  • 9 posts
  • Corona SDK

https://gist.github.com/mattmcegg/299ebc1bc47ab31fb92d3ad7ff84ee77

 

For what its worth, I've abandoned this option and I've gone with PlayFab, which is a pretty sweet mobile game backend with a "fairly" well documented API. 




[topic_controls]
[/topic_controls]